4Suite™ API Documentation

# ► Module Ft.Lib.DistExt

Extensions to distutils to support building, installing, packaging 4Suite
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Functions: EnsureVersion

## Modules

BDist |
BDistInno |
BDistInstall |
BDistRpm |
BDistWininst |
Build |
BuildDocs | Main distutils extensions for generating documentation
BuildExt |
BuildIdl |
BuildL10n |
BuildPy |
BuildScripts |
BuildTests |
Config |
Dist |
Formatters |
Generate |
GenerateBisonGen |
GenerateL10n |
Install |
InstallData |
InstallDocs |
InstallL10n |
InstallLib |
InstallLocalState |
InstallScripts |
InstallSysconf |
InstallTests |
PackageManager |
Py2Exe |
SDist |
Structures | Data structures that are to be used in a pkg file.
Uninstall |
Util |

## Functions

EnsureVersion(version)
Checks Distutils version against specified version number